import StiPadding from "../properties/StiPadding";
import StiPagePaperKind from "../properties/StiPagePaperKind";
import { StiFormElement } from "./base/StiFormElement";
import StiFormObject from "./base/StiFormObject";
import { StiPanelElement } from "./StiPanelElement";
import { StiBarcodeElement } from "./StiBarcodeElement";
import { StiButtonElement } from "./StiButtonElement";
import { StiCheckBoxElement } from "./StiCheckBoxElement";
import { StiComboBoxElement } from "./StiComboBoxElement";
import { StiDateTimeBoxElement } from "./StiDateTimeBoxElement";
import { StiImageElement } from "./StiImageElement";
import { StiLabelElement } from "./StiLabelElement";
import StiLineElement from "./StiLineElement";
import { StiListBoxElement } from "./StiListBoxElement";
import { StiMultipleSelectionElement } from "./StiMultipleSelectionElement";
import { StiSignatureElement } from "./StiSignatureElement";
import { StiSingleSelectionElement } from "./StiSingleSelectionElement";
import { StiTableElement } from "./StiTableElement";
import { StiTextBoxElement } from "./StiTextBoxElement";
import { StiTextElement } from "./StiTextElement";
import { StiNumberBoxElement } from "./StiNumberBoxElement";
import Color from "../system/Color";
import StiJson from "../system/StiJson";
import { StiAddressElement } from "./StiAddressElement";
import { StiPDFSignatureElement } from "./StiPDFSignatureElement";
import { StiForm } from "./StiForm";
export declare class StiFormPageElement extends StiFormObject {
    private _name;
    static PAGE_ELEMENTS: (typeof StiAddressElement | typeof StiButtonElement | typeof StiBarcodeElement | typeof StiCheckBoxElement | typeof StiDateTimeBoxElement | typeof StiImageElement | typeof StiLabelElement | typeof StiLineElement | typeof StiListBoxElement | typeof StiMultipleSelectionElement | typeof StiNumberBoxElement | typeof StiPDFSignatureElement | typeof StiSignatureElement | typeof StiSingleSelectionElement | typeof StiTableElement | typeof StiTextBoxElement | typeof StiTextElement | typeof StiPanelElement | typeof StiComboBoxElement)[];
    type: string;
    elements: StiFormElement[];
    visible: boolean;
    padding: StiPadding;
    paperKind: StiPagePaperKind;
    backgroundColor: Color;
    backgroundImage: string;
    form: StiForm;
    get width(): number;
    get height(): number;
    set width(value: number);
    set height(value: number);
    get contentAreaWidth(): number;
    get contentAreaHeight(): number;
    get name(): string;
    set name(value: string);
    get allElements(): StiFormElement[];
    getColumnWidth(columnsCount: number): number;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    constructor(form: StiForm);
    createElementClass(type: string): any;
}
